workfile monte u 1 1000
!series = 10
!draws = 999
!sigmax = 3
smpl 1 !series
series x = 10+!sigmax*rnd
!sigmau = 1
!alpha = 2
!beta = 3
vector(!draws) tvec = 0
for !n = 1 to !draws
   series u = !sigmau*nrnd
   series y = !alpha + !beta*x + u
   equation eq1.ls y c x
   tvec(!n) = (@coefs(2)-3)/@stderrs(2)
next
smpl 1 !draws
series tser = 0
mtos(tvec,tser)
tser.hist
sort(d) tser
scalar lower=tser(950)
scalar upper=tser(50)
table(2,2) tvalue
tvalue.setwidth(1:2)30
tvalue.setlines(a1:b2) +a 
tvalue.setfillcolor(a1:b2) yellow
tvalue(1,1)="t-value lower (5%)"
tvalue(1,2)="t-value upper (5%)"
tvalue(2,1)=lower
tvalue(2,2)=upper
show tvalue

